summaryrefslogtreecommitdiffstats
path: root/source/xap/imagemagick/imagemagick.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2012-09-26 01:10:42 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:51:55 +0200
commit9664bee729d487bcc0a0bc35859f8e13d5421c75 (patch)
treeb428a16618e36ed864a8d76ea3435e19a452bf90 /source/xap/imagemagick/imagemagick.SlackBuild
parent75a4a592e5ccda30715f93563d741b83e0dcf39e (diff)
downloadcurrent-9664bee729d487bcc0a0bc35859f8e13d5421c75.tar.gz
current-9664bee729d487bcc0a0bc35859f8e13d5421c75.tar.xz
Slackware 14.0slackware-14.0
Wed Sep 26 01:10:42 UTC 2012 Slackware 14.0 x86_64 stable is released! We're perfectionists here at Slackware, so this release has been a long time a-brewing. But we think you'll agree that it was worth the wait. Slackware 14.0 combines modern components, ease of use, and flexible configuration... our "KISS" philosophy demands it. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. Thanks to everyone who helped make this happen. The Slackware team, the upstream developers, and (of course) the awesome Slackware user community. Have fun! :-)
Diffstat (limited to 'source/xap/imagemagick/imagemagick.SlackBuild')
-rwxr-xr-xsource/xap/imagemagick/imagemagick.SlackBuild26
1 files changed, 21 insertions, 5 deletions
diff --git a/source/xap/imagemagick/imagemagick.SlackBuild b/source/xap/imagemagick/imagemagick.SlackBuild
index 565d3a0af..cf17f5f34 100755
--- a/source/xap/imagemagick/imagemagick.SlackBuild
+++ b/source/xap/imagemagick/imagemagick.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2012 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -29,14 +29,14 @@ BUILD=${BUILD:-1}
# This is a bit messy, so we'll explain it well. :-)
# This is the base version number, which is needed to cd into the source tree
-BASEVER=6.6.6-10
+BASEVER=6.7.7-10
# This is the version number used in the source tarball filename
-FILEVER=6.6.6-10
+FILEVER=6.7.7-10
# This is the version number used in the package, where a version number cannot
# contain a '-'
-PKGVER=6.6.6_10
+PKGVER=6.7.7_10
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -100,6 +100,7 @@ CXXFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--mandir=/usr/man \
+ --sysconfdir=/etc \
--program-prefix= \
--with-x \
--with-frozenpaths=no \
@@ -111,11 +112,26 @@ CXXFLAGS="$SLKCFLAGS" \
--build=$ARCH-slackware-linux || exit 1
make $NUMJOBS INSTALLDIRS=vendor || make INSTALLDIRS=vendor || exit 1
+# First, spam the running development system, as ImageMagick is unable to
+# properly link the utilities against a new shared library major version
+# otherwise which has led to several broken packages over the years:
+make install INSTALLDIRS=vendor || exit 1
+/sbin/ldconfig
+
+# Now build again against the new libraries and headers:
+make clean
+make $NUMJOBS INSTALLDIRS=vendor || make INSTALLDIRS=vendor || exit 1
make install INSTALLDIRS=vendor DESTDIR=$PKG || exit 1
-# Lately ImageMagick has been smoking crack:
+# This should certainly not be included.
+# It stomps on the libtool package.
rm -f $PKG/usr/lib${LIBDIRSUFFIX}/libltdl.*
+# .la files in /usr/lib${LIBDIRSUFFIX}/ should be removed.
+# Other .la files should be left alone, as ImageMagick uses them internally
+# to locate modules.
+rm -f $PKG/usr/lib${LIBDIRSUFFIX}/*.la
+
( cd $PKG
# Nothing but a perl upgrade should replace this (and maybe not even that)
find . -name perllocal.pod | xargs rm -f